Skip to main content
PUT
Bulk update integration models
Bulk-update which models an integration can use, plus optional per-model routing and pricing.

Per-model configurations

Each item in models accepts an optional configurations object:

Precedence

  • Model-level custom_headers override integration-level custom_headers for that model.
  • A request-time / header-level custom_host still takes priority over a model-level custom_host.
See Custom hosts and Custom models.

Example

custom_headers values must be strings. Nested objects or non-string values are rejected.

Authorizations

x-portkey-api-key
string
header
required

Path Parameters

slug
string
required

Body

application/json
models
object[]
required
allow_all_models
boolean

Whether to allow all models by default

Response

200 - application/json

Models updated successfully

The response is of type object.

Last modified on July 28, 2026